Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1088344 - Enable ppc64le in java-1.8.0-openjdk
Summary: Enable ppc64le in java-1.8.0-openjdk
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.8.0-openjdk
Version: rawhide
Hardware: ppc64le
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-04-16 13:21 UTC by Brent Baude
Modified: 2014-04-25 17:42 UTC (History)
5 users (show)

Fixed In Version: 1.8.0.5-3.b13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-25 17:42:18 UTC


Attachments (Terms of Use)
ppc64le patch for openjdk-1.8 (deleted)
2014-04-16 13:21 UTC, Brent Baude
no flags Details | Diff
0001-ppc64le-enablement-bz-1088344.patch (deleted)
2014-04-24 14:49 UTC, Brent Baude
no flags Details | Diff

Description Brent Baude 2014-04-16 13:21:40 UTC
Created attachment 886897 [details]
ppc64le patch for openjdk-1.8

To build java-1.8.0-openjdk on ppc64le, we need some trivial changes to the spec file and a small patch to define the arch.  I'll attach the patch and display the spec diffs here.  Note the ppc64le and ppc64be defines are from the 1.7 spec file.

diff --git a/java-1.8.0-openjdk.spec b/java-1.8.0-openjdk.spec
index e2ded41..1844f19 100644
--- a/java-1.8.0-openjdk.spec
+++ b/java-1.8.0-openjdk.spec
@@ -8,6 +8,9 @@
 %global aarch64         aarch64 arm64 armv8
 %global multilib_arches %{power64} sparc64 x86_64 %{aarch64}
 %global jit_arches      %{ix86} x86_64 sparcv9 sparc64 %{aarch64}
+#sometimes we need to distinguish big and little endian PPC64
+%global ppc64le                 ppc64le
+%global ppc64be                 ppc64 ppc64p7
 
 
 %ifarch x86_64
@@ -16,9 +19,12 @@
 %ifarch ppc
 %global archinstall ppc
 %endif
-%ifarch %{power64}
+%ifarch %{ppc64be}
 %global archinstall ppc64
 %endif
+%ifarch %{ppc64le}
+%global archinstall ppc64le
+%endif
 %ifarch %{ix86}
 %global archinstall i386
 %endif
@@ -216,6 +222,7 @@ Patch103: %{name}-ppc-zero-hotspot.patch
 Patch201: system-libjpeg.patch
 Patch202: system-libpng.patch
 Patch203: system-lcms.patch
+Patch999: ppc64le.patch
 
 BuildRequires: autoconf
 BuildRequires: automake
@@ -251,7 +258,7 @@ BuildRequires: libffi-devel
 BuildRequires: openssl
 # execstack build requirement.
 # no prelink on ARM yet
-%ifnarch %{arm} %{aarch64}
+%ifnarch %{arm} %{aarch64} ppc64le
 BuildRequires: prelink
 %endif
 %if %{with_systemtap}
@@ -435,9 +442,10 @@ sh %{SOURCE12}
 %patch102
 %endif
 
-%ifarch ppc %{power64}
+%ifarch ppc %{power64} 
 # PPC fixes
 %patch103
+%patch999 -p1
 %endif
 
 # Extract systemtap tapsets

Comment 1 Brent Baude 2014-04-24 14:49:26 UTC
Created attachment 889308 [details]
0001-ppc64le-enablement-bz-1088344.patch

Comment 2 Mikolaj Izdebski 2014-04-24 14:51:55 UTC
Fixed in java-1.8.0-openjdk-1.8.0.5-3.b13

Comment 3 Mikolaj Izdebski 2014-04-25 17:42:18 UTC
I believe that this bug is fixed in java-1.8.0-openjdk-1.8.0.5-3.b13,
which is available in Fedora Rawhide, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=512918


Note You need to log in before you can comment on or make changes to this bug.